<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<head lang="en">
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Profile.me - Multiuser profile & resume script</title>
    <!-- Framework CSS -->
    <link rel="stylesheet" href="assets/blueprint-css/screen.css" type="text/css" media="screen, projection">
    <link rel="stylesheet" href="assets/blueprint-css/print.css" type="text/css" media="print">
    <!--[if lt IE 8]>
    <link rel="stylesheet" href="assets/blueprint-css/ie.css" type="text/css" media="screen, projection"><![endif]-->
    <link rel="stylesheet" href="assets/blueprint-css/plugins/fancy-type/screen.css" type="text/css"
          media="screen, projection">
    <style type="text/css" media="screen">
        body {
            font-size: 14px;
        }

        p, table, hr, .box {
            margin-bottom: 25px;
        }

        .box p {
            margin-bottom: 10px;
        }

        .update-title {
            font-weight: bold;
        }

        pre {
            background-color: whitesmoke;
            background-image: linear-gradient(#f5f5f5 50%, #e6e6e6 50%);
            background-size: 38px 38px;
            border: 1px solid #d4d4d4;
            display: block;
            line-height: 19px;
            margin-bottom: 10px;
            overflow-x: visible;
            overflow-y: hidden;
            padding: 0 0 0 4px;
        }

        img {
            margin: 10px 0;
        }

        .bcolor {
            color: #0d6aad;
        }
    </style>

</head>


<body>
<div class="container">

    <h3 class="center alt">&ldquo;Profile.me &rdquo; Multiuser profile & resume script Documentation by &ldquo;Codericks</h3>

    <hr>

    <h2 class="center">&ldquo;Profile.me&rdquo;</h2>

    <div class="borderTop">
        <div class="span-6 colborder info prepend-1">
            <p class="prepend-top">
                <strong>
                    Created: 01.15.2019<br>
                    By: Codericks<br>
                    Email: <a href="mailto:codericks.envato@gmail.com">codericks.envato@gmail.com</a>
                </strong>
            </p>
        </div><!-- end div .span-6 -->

        <div class="span-12 last">
            <p class="prepend-top append-0">Thank you for purchasing my script for your project. If you have any questions that are
                beyond the scope of this help file, please feel free to email via
                my user page contact form <a href="https://codecanyon.net/user/codericks">here</a>. Thanks so much!</p>
        </div>
    </div><!-- end div .borderTop -->

    <hr>

    <h2 id="toc" class="alt">Table of Contents</h2>
    <ol>
        <li><a href="#introduction">Introduction</a></li>
        <li><a href="#install">Quick Install</a></li>
        <li><a href="#quick-start">Quick Start Guide</a></li>
        <li><a href="#settings">Settings</a></li>
        <li><a href="#users">Manage Users</a></li>
        <li><a href="#service">Manage Home Services</a></li>
        <li><a href="#package">Manage Package</a></li>
        <li><a href="#pages">Manage Pages</a></li>

        <li><a href="#profile_settings">Profile Settings</a></li>
        <li><a href="#services">Manage Services</a></li>
        <li><a href="#skills">Manage Skills</a></li>
        <li><a href="#experiences">Manage Experiences</a></li>
        <li><a href="#testimonials">Manage Testimonials</a></li>
        <li><a href="#portfolio">Manage Portfolio</a></li>
        <li><a href="#blogs">Manage Blogs</a></li>
        <li><a href="#appointments">Manage Appointment</a></li>
        <li><a href="#contacts">Manage Contacts</a></li>
        <li><a href="#password">Update Password</a></li>
        <li><a href="#credits">Credits</a></li>
    </ol>

    <hr>

    <h3 id="introduction"><strong>1) Introduction</strong> - <a href="#toc">top</a></h3>
    <p>
        <strong> Profile.me </strong> is a multiuser profile, resume and vcard script. It comes with clean, secured, responsive, SEO friendly & eye-catching design which will attract your future employer with the first impression. You can easily add your Services, Experiences, Skills, Portfolios & Blogs without any coding skills. This script is perfect to promote yourself and your business, focused for: multiuser, portfolio, freelancer, photographer, artworks, art, artist portfolio, web designer, illustrators, designer, developers, programmers & coder.
    </p>
    Technologies used:
    <ul>
        <li>
            PHP CodeIgniter 3
        </li>
        <li>
            HTML 5
        </li>
        <li>
            CSS (Bootstrap 4)
        </li>
        <li>
            JQUERY
        </li>
        <li>
            AJAX
        </li>
    </ul>
    <strong>Key Features:</strong>
    <ul>
        <li>Latest CodeIgniter 3.1.7</li>
        <li>Bootstrap</li>
        <li>Easy Integration & Customization</li>
        <li>Standared & clean code</li>
        <li>Fully Responsive Design</li>
        <li>SEO Optimized & SEO-Friendly URL</li>
        <li>Manage website with unllimlited features, packages & pages</li>
        <li>Manage Contact Messages</li>
        <li>Ajax username checker</li>
        <li>reCaptcha enable / disable opiton</li>
        <li>Google Analytics</li>
        <li>Google reCaptcha attached with (Register & Contacts forms with enable or disable option)</li>
        <li>Advanced settings option</li>
        <li>Unlimited Google fonts & color options</li>
        <li>Admin & User panel</li>
        <li>Multiuser options</li>
        <li>Membership System with Free & Pro users</li>
        <li>Two different designs for free & pro user</li>
        <li>Paypal payment system</li>
        <li>Manage Services</li>
        <li>Manage Skills</li>
        <li>Manage Experiences</li>
        <li>Manage Testimonials</li>
        <li>Manage Contact & Comments</li>
        <li>User based portfolio system</li>
        <li>User based blog system</li>
        <li>User based Google Analytics</li>
        <li>Ajax secure Authentication</li>
        <li>Jquery Data tables & form validations</li>
        <li>Sweetalert popup notification with ajax </li>
        <li>Toaster notification with ajax </li>
        <li>Detailed Documentation with commented code</li>
        <li>Totally Secure System</li>
        <li>Advanced Settings Options with Enable or Disable options</li>
        <li>Change Logo, Favicon, Site Title, Site Description, etc. from Admin Panel</li>
        <li>Easy Installation Using Installation Wizard & no need any coding skills</li>
        <li>Runs on PHP 5.3+ (and PHP 7)</li>
    </ul>
    <br/><br/>



    <strong>Security:</strong>
    <br/>
    There are various mechanisms to secure application. These mechanisms are:
    <ul>
        <li>Cross-Site Request Forgery (CSRF) Prevention</li>
        <li>Cross-Site Scripting (XSS) Prevention</li>
        <li>Password Hashing</li>
    </ul>

    <br/>
    <strong>Requirements:</strong>
    <br/>
    There are some requirements to work on your server. These requirements are:
    <ul>
        <li>PHP &gt;= 5.3+ (and PHP 7)</li>
    </ul>

    <hr>











    <h3 id="install"><strong>2) Install</strong> - <a href="#toc">top</a></h3>

    <p> To Install this project:</p>

    <p>
        <strong style="color: #ba2816">
            Note: Please check your PHP version before installing. In order to work properly, your PHP
            version should be at least 5.4. We recommend PHP 5.5 to PHP 7.0.
        </strong>
    </p>


    <strong>1. Create a new Database with user that has all permissions.</strong>
    <ul>
        <li>Go to Cpanel and Click MySQL® Databases<br/>
            <img src="assets/images/db_1.jpg" alt="" width="650">
        </li>
        <br/><br/>
        <li>Step 1: Create New Database
            <br/>
            <img src="assets/images/db_2.jpg" alt="" width="650">
        </li>
        <br/><br/>
        <li>Step 2: Add New User
            <br/>
            <img src="assets/images/db_3.jpg" alt="" width="650">
        </li>
        <br/><br/>
        <li>Step 3: Add User To Database
            <br/>
            <img src="assets/images/db_4.jpg" alt="" width="650">
        </li>
        <br/><br/>
        <li>Step 4: Set User Permissions
            <br/>
            <img src="assets/images/db_5.jpg" alt="" width="650">
        </li>
    </ul>


    <strong> 2. Upload script files to your host(ftp) / offline server xampp or wamp.</strong><br/><br>

    <strong> 3. Import <code style="color: red"> database.sql </code> file</strong><br/><br>
    
    <strong>3. Configure database connection</strong>
    <p>Goto the extract folder and Find the file: <b><code style="color: red"> application/config/database.php </code></b>.</p>
    <blockquote style="background: #f1f1f1; color: red">
        <br>
      <code> 'hostname' => 'your_host_name', </code> <br>
      <code> 'username' => 'your_username', </code> <br>
      <code> 'password' => 'your_password', </code> <br>
      <code> 'database' => 'your_database_name' </code> <br><br>
    </blockquote><br>

    <strong>4. Run project in your browser. </strong><br/><br>
    

    <div style="width:100%;padding: 30px;list-style: none;">
        <h3 style="text-align: center; color: #ba2816;font-weight: bold;">Still no luck</h3>
        <p style="text-align: center;color: #ba2816;">After installation, if you get "404 Not Found" error or you can not login to your site, please  upload & replace again the htaccess file from script files and.
        </p>
    </div>

    <hr>






    <h3 id="quick-start"><strong>3) Quick Start</strong> - <a href="#toc">top</a></h3>

    <p>
        After run project, you will be see the login page like this.<br>
        <h4>For access use this: <b>www.domain.com/login</b></h4>
        <p style="color: blue"> <b> username: admin </b> <br>
         <b> password: 1234 </b></p> <br>

        <img src="assets/images/login.png" alt="" width="750"><br><br>

        <h3>Admin</h3>
        <strong>&#x2713;&nbsp;&nbsp;Change Admin Password: </strong> If you want to change Admin password you should go to "Change Password" section from left sidebar and change the password. <br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Website Settings: </strong> If you want to add your site name, email, phone, about, designation, logo, favicon, basic seo options, social links you need to go "Dashboard > Settings" section from left sidebar. you can manage all options here.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage users: </strong> If you want to manage registered users you need to go "Dashboard > Users" section from left sidebar. you can manage all users here.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Site Service: </strong> If you want to manage your site service you need to go "Dashboard > Service" section from left sidebar. you can manage all option here.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Package & Feature: </strong> If you want to manage site Package & Features you need to go "Dashboard > Package / Features" section from left sidebar. you can manage all option here.<br><br>

        <h3>User</h3>
        <strong>&#x2713;&nbsp;&nbsp;Manage Services: </strong> If you want to add Service you will see from left sidebar "Services" menu and here you will see this manage options when you click. And you can manage Service CRUD in an one pages.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Skills: </strong> If you want to manage your Skills you will see from left sidebar "Skills" menu and here you will see this manage options when you click. And you can manage Skills CRUD in an one pages.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Experience: </strong> If you want to manage your Experience you will see from left sidebar "Experience" menu and here you will see this manage options when you click. And you can manage Experience CRUD in an one pages.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Testimonial: </strong> If you want to manage your Testimonial you will see from left sidebar "Testimonial" menu and here you will see this manage options when you click. And you can manage Testimonial CRUD in an one pages.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Portfolio: </strong> If you want to add Portfolio first you need add Portfolio Category to go "Portfolio" section from left sidebar navigation and click on the "Add Category" options then you can add Category here in one page CRUD. And then Clink "Portfolio" section from left sidebar navigation to add "Portfolio".<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Blog: </strong> If you want to add Blog first you need add Blog Category to go "Blog" section from left sidebar navigation and click on the "Add Category" options then you can add Category here in one page CRUD. And then Clink "Blog" section from left sidebar navigation to add "Blog".<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Appointment: </strong> If you want to add your available day in a week and show all appointments for you need to go "Appointment" section from left sidebar navigation and then you will see all options in there.<br><br>

        <strong>&#x2713;&nbsp;&nbsp;Manage Contacts: </strong> If you want to see/manage your Contacts you will see from left sidebar "Contacts" menu and here you will see this manage options when you click.<br><br>

    </p>

    <hr>




    <h2>Admin Panel</h2>
    <img src="assets/images/dash.png" alt="" width="750"><br>

    <h3 id="settings"><strong>4)Manage Website Settings</strong> - <a href="#toc">top</a></h3>

    <strong>&#x2713;&nbsp;&nbsp;Manage Website Settings: </strong> From left sidebar > Dashboard you can manage name, email, phone, about, designation, logo, favicon, basic seo options, fonts & colors, social links.
    <img src="assets/images/site_settings.png" alt="" width="750"><br>
    <br><br>
    <hr>


    <h3 id="users"><strong>5)Manage Users</strong> - <a href="#toc">top</a></h3>

    <strong>&#x2713;&nbsp;&nbsp;Manage Users: </strong> From left sidebar > Dashboard > Users you can manage all users here.
    <img src="assets/images/users.png" alt="" width="750"><br>
    <br><br>
    <hr>


    <h3 id="service"><strong>6)Manage Home Services</strong> - <a href="#toc">top</a></h3>

    <strong>&#x2713;&nbsp;&nbsp;Manage Services: </strong> From left sidebar > Dashboard > Services you can manage Services for home pages.
    <img src="assets/images/hservice.png" alt="" width="750"><br>
    <br><br>
    <hr>


    <h3 id="package"><strong>7)Manage Pricing Package</strong> - <a href="#toc">top</a></h3>

    <strong>&#x2713;&nbsp;&nbsp;Manage Pricing Package: </strong> From left sidebar > Dashboard > Pricing Package you manage your site packages here.
    <img src="assets/images/package.png" alt="" width="750"><br>
    <br><br>
    <hr>


    <h3 id="pages"><strong>8)Manage Pages</strong> - <a href="#toc">top</a></h3>
   
    <strong>&#x2713;&nbsp;&nbsp;Manage Pages: </strong> From Dashboard > Pages you can add, edit 7 Delete unlimited pages .
    <img src="assets/images/page.png" alt="" width="750"><br>
    <br><br><br>
    <hr>


    <h2>User Panel</h2>

    <h3 id="profile_settings"><strong>9)Manage Profile</strong> - <a href="#toc">top</a></h3>
    'Profile' section from dashboard sidebar user can edit profile image, name, about me text, favicon, social settings, colors & fonts.<br>
    <img src="assets/images/profile.png" alt="" width="750"><br><br>


    <h3 id="services"><strong>10)Manage Services</strong> - <a href="#toc">top</a></h3>
    'Services' section from dashboard sidebar you can add, edit, delete, active / deactive Services.<br>
    <img src="assets/images/service.png" alt="" width="750"><br><br>



    <h3 id="skills"><strong>11)Manage Skills</strong> - <a href="#toc">top</a></h3>
    'Skills' section from dashboard sidebar you can add, edit, delete, active / deactive Skills.<br>
    <img src="assets/images/skill.png" alt="" width="750"><br><br>



    <h3 id="experiences"><strong>12)Manage Experience</strong> - <a href="#toc">top</a></h3>
    'Experience' section from dashboard sidebar you can add, edit, delete, active / deactive Experience.<br>
    <img src="assets/images/experience.png" alt="" width="750"><br><br>


    <h3 id="testimonials"><strong>13)Manage Testimonial</strong> - <a href="#toc">top</a></h3>
    'Testimonial' section from dashboard sidebar you can add, edit, delete, active / deactive Testimonial.<br>
    <img src="assets/images/testimonial.png" alt="" width="750"><br><br>



    <h3 id="portfolio"><strong>14)Manage Portfolio</strong> - <a href="#toc">top</a></h3>
    'Portfolio' section from dashboard sideber you can add Portfolio Category from navigation.<br>
    <img src="assets/images/pcategory.png" alt="" width="750"><br><br>

    <strong>&#x2713;&nbsp;&nbsp;Add Portfolio: </strong> From Dashboard > Portfolio > Portfolio:  you can Add, Edit, Delete, Activate or Deactivate Portfolio from this option.
    <img src="assets/images/portfolio.png" alt="" width="750"><br>
    <br><br>



    <h3 id="blogs"><strong>15)Manage Blog</strong> - <a href="#toc">top</a></h3>
    'Blog' section from dashboard sideber you can add Blog Category from navigation.<br>
    <img src="assets/images/bcategory.png" alt="" width="750"><br><br>

    <strong>&#x2713;&nbsp;&nbsp;Add Blog: </strong> From Dashboard > Blog > Blog:  you can Add, Edit, Delete, Activate or Deactivate Portfolio from this option.
    <img src="assets/images/blog.png" alt="" width="750"><br>
    <br><br>


    <h3 id="appointments"><strong>16)Manage Appoinments</strong> - <a href="#toc">top</a></h3>
   
    <strong>&#x2713;&nbsp;&nbsp;Manage Appoinments: </strong> From Dashboard > Appoinments you can manage your appoinments.
    <img src="assets/images/appn.png" alt="" width="750"><br>
    <br><br>
    <hr>


    <h3 id="contacts"><strong>17)Manage Contacts</strong> - <a href="#toc">top</a></h3>
   
    <strong>&#x2713;&nbsp;&nbsp;Manage Contacts: </strong> From Dashboard > Contact Messages Pages you can view, Delete Contacts.
    <img src="assets/images/contact.png" alt="" width="750"><br>
    <br><br>
    <hr>



    <h3 id="password"><strong>18)Change Password</strong> - <a href="#toc">top</a></h3>
   
    <strong>&#x2713;&nbsp;&nbsp;Change Password: </strong> From Dashboard > Change Password options you can update your password here.
    <img src="assets/images/pass.png" alt="" width="750"><br>
    <br><br>
    <hr>




    <hr>
    <h3 id="credits"><strong>19) Credits</strong> - <a href="#toc">top</a></h3>

      Profile.me script uses the following libraries and assets:<br>
      <ul>
          <li> CodeIgniter 3</li>
          <li> Bootstrap 3</li>
          <li> Ajax</li>
          <li> Jquery</li>
          <li> Sweetalert</li>
          <li> Toaster</li>
          <li> Simple line icon</li>
          <li> Fontawesome icon</li>
      </ul><br><br>



    <p class="append-bottom alt large"><strong>Codericks</strong></p>
    <p><a href="#toc">Go To Table of Contents</a></p>




    <hr class="space">

</div><!-- end div .container -->
</body>
</html>
